type: google.api.Service
config_version: 3
name: servicedirectory.googleapis.com
title: Service Directory API

apis:
- name: google.cloud.servicedirectory.v1.LookupService
- name: google.cloud.servicedirectory.v1.RegistrationService

documentation:
  summary: |-
    Service Directory is a platform for discovering, publishing, and connecting
    services.

authentication:
  rules:
  - selector: google.cloud.servicedirectory.v1.LookupService.ResolveService
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.cloud.servicedirectory.v1.RegistrationService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
